Bank (Mule ESB 2.2.1 API)
Keywords: org.mule.example.loanbroker.bank.Bank class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.loanbroker.bank
Class Bank

    java.lang.Object
      org.mule.example.loanbroker.bank.Bank

All Implemented Interfaces:
  Serializable, ServiceAware, BankService

    public class Bank

extends Object
implements ServiceAware, Serializable, BankService

`Bank` is a representation of a bank from which to obtain loan quotes.

See Also:
  Serialized Form

Field Summary
`protected static Log` | `logger` logger used by this class

Constructor Summary
`Bank()`
`Bank(String bankname)`

Method Summary
`String` | `getBankName()`
`String` | `getEndpoint()`
`LoanQuote` | `getLoanQuote(LoanBrokerQuoteRequest request)`
`double` | `getPrimeRate()`
`void` | `setBankName(String bankName)`
`void` | `setEndpoint(String endpoint)`
`void` | `setPrimeRate(double primeRate)`
`void` | `setService(Service service)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

Constructor Detail

### Bank

    public Bank()

### Bank

    public Bank(String bankname)

Method Detail

### setService

    public void setService(Service service)
                    throws ConfigurationException

  Specified by:
    `setService` in interface `ServiceAware`
  Throws:
    `ConfigurationException`

### getLoanQuote

    public LoanQuote getLoanQuote(LoanBrokerQuoteRequest request)

  Specified by:
    `getLoanQuote` in interface `BankService`

### getBankName

    public String getBankName()

### setBankName

    public void setBankName(String bankName)

### getPrimeRate

    public double getPrimeRate()

### setPrimeRate

    public void setPrimeRate(double primeRate)

### getEndpoint

    public String getEndpoint()

### setEndpoint

    public void setEndpoint(String endpoint)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.